Package com.verisign.epp.transport.server

## Class EPPQuicClientConnectionHandler

- java.lang.Object
- - com.verisign.epp.transport.server.EPPQuicClientConnectionHandler

- All Implemented Interfaces:
    `ServerEventHandler`, `java.lang.Cloneable`

      public class EPPQuicClientConnectionHandler
      extends java.lang.Object
      implements ServerEventHandler, java.lang.Cloneable

  The `EPPEPPQuicClientConnectionHandler` class manages a single client EoQ connection. An EoQ connection is logically started when the `handleConnection()` method is invoked when a QUIC stream is accepted.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EOQ_CONNECTION_START_PACKET` | Packet sent when the client starts an EoQ connection

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPQuicClientConnectionHandler()` | Creates a new EPPQuicClientConnectionHandler instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Makes a bitwise copy of this `EPPQuicClientConnectionHandler`
    `void` | `close()` | Makes the current session stop receiving commands
    `void` | `handleConnection​(java.io.InputStream aInputStream, java.io.OutputStream aOutputStream)` | Invoked for a new client connection
    `protected void` | `resetIdleTimeOut()` | Resets the idle Timeout

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOQ_CONNECTION_START_PACKET

          public static final java.lang.String EOQ_CONNECTION_START_PACKET

      Packet sent when the client starts an EoQ connection
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPQuicClientConnectionHandler

          public EPPQuicClientConnectionHandler()

      Creates a new EPPQuicClientConnectionHandler instance.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Makes a bitwise copy of this `EPPQuicClientConnectionHandler`
      Specified by:
        `clone` in interface `ServerEventHandler`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Clone of the `EPPQuicClientConnectionHandler`
      Throws:
        `java.lang.CloneNotSupportedException` - Error with cloning

    - #### handleConnection

          public void handleConnection​(java.io.InputStream aInputStream,
                                       java.io.OutputStream aOutputStream)

      Invoked for a new client connection
      Specified by:
        `handleConnection` in interface `ServerEventHandler`
      Parameters:
        `aInputStream` - The inputStream of the new connection
        `aOutputStream` - The outputStream of the new connection

    - #### close

          public void close()

      Makes the current session stop receiving commands

    - #### resetIdleTimeOut

          protected void resetIdleTimeOut()

      Resets the idle Timeout